Subject: [alpine-aports] [PATCH v2] community/php5-imagick: upgrade to 3.4.3_rc1

From: Valery Kartel <[email-masked]>
Date: Sat, 3 Dec 2016 01:40:18 +0200

---
 community/php5-imagick/APKBUILD | 49 ++++++++++++++++++-----------------------
 1 file changed, 21 insertions(+), 28 deletions(-)

diff --git a/community/php5-imagick/APKBUILD b/community/php5-imagick/APKBUILD
index 63ceb7b48d..6eec25b4ff 100644
--- a/community/php5-imagick/APKBUILD
+++ b/community/php5-imagick/APKBUILD
@@ -1,41 +1,34 @@
 # Contributor: Valery Kartel <[email-masked]>
 # Maintainer: Valery Kartel <[email-masked]>
-_php=php5
-pkgname=${_php}-imagick
-_pkgreal=imagick
-pkgver=3.4.2
+pkgname=php5-imagick
+pkgver=3.4.3_rc1
 pkgrel=0
-pkgdesc="PHP bindings to the ImageMagick library."
-url="http://pecl.php.net/package/imagick"
+_pkgver=${pkgver/_rc/RC}
+_pkgname=${pkgname#*-}
+pkgdesc="Provides a wrapper to the ImageMagick library"
+url="http://pecl.php.net/package/$_pkgname"
 arch="all"
 license="PHP"
-depends=
-pecldepends="${_php}-dev autoconf"
-makedepends="$pecldepends imagemagick-dev libtool"
-install=""
-subpackages=""
-source="http://pecl.php.net/get/$_pkgreal-$pkgver.tgz"
-
-_builddir="$srcdir"/$_pkgreal-$pkgver
-prepare() {
-	cd "$_builddir"
-	phpize || return 1
-}
+depends=""
+makedepends="${pkgname%%-*}-dev autoconf libtool imagemagick-dev"
+subpackages="$pkgname-dev"
+source="http://pecl.php.net/get/$_pkgname-$_pkgver.tgz"
+builddir="$srcdir"/$_pkgname-$_pkgver
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
+	phpize || return 1
 	./configure --prefix=/usr || return 1
 	make || return 1
 }
 
 package() {
-	cd "$_builddir"
-	make INSTALL_ROOT="$pkgdir/" install || return 1
-	install -d "$pkgdir"/etc/$_php/conf.d || return 1
-	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/$_php/conf.d/$_pkgreal.ini
-	[ -d "$pkgdir"/usr/include ] && rm -fr "$pkgdir"/usr/include
+	cd "$builddir"
+	make INSTALL_ROOT="$pkgdir"/ install || return 1
+	echo "extension=$_pkgname.so" > $_pkgname.ini
+	install -Dm644 $_pkgname.ini \
+		"$pkgdir"$(php-config | xargs -n1 | grep config-file-scan-dir | cut -d= -f2)/$_pkgname.ini
 }
-
-md5sums="3f80e35c2434636cdb5df01b221b3ffa  imagick-3.4.2.tgz"
-sha256sums="8e16b7bc6cf6567f4b4c4ac7294cbf650fe050a848c6a7ba6e2bee02097ab4a8  imagick-3.4.2.tgz"
-sha512sums="5e7cf495f4d6377a54b207b3fa14a5b2cff9d89dbe9c17b88c66102138ff9f485a34669138cf7903c5b54eb9d5d49f6fa2629216c487e56dc6b1e6c5c68ac1d2  imagick-3.4.2.tgz"
+md5sums="32042fc3043f013047927de21ff15a47  imagick-3.4.3RC1.tgz"
+sha256sums="50bbc46e78cd6e1ea5d7660be1722258e60b1729483ca14b02da7cf9f5ed3e6a  imagick-3.4.3RC1.tgz"
+sha512sums="f37280dbf1adb929b7b7bb6f75321484f7c630b04ef8b883c8c2713f0bd54ddab5dc652f5a6c42cdd8061240205ca7c3e91db1adf7620c1fbc5a2938e59bf69d  imagick-3.4.3RC1.tgz"
-- 
2.11.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---